pranith
Contributor
Contributor

Trying to find a suitable PBM set for kernel 2.6.40-4.fc15.x86_64

Team,

Can you please help to fix

while starting VMware 3.1.4 on newly installed kernel

2.6.40-4.fc15.x86_64. Its keep failing with below.

Details:

Aug 03 10:01:48.123: app-140480618911520| Trying to find a suitable PBM set for kernel 2.6.40-4.fc15.x86_64.
Aug 03 10:01:48.124: app-140480618911520| Building module vmmon.
Aug 03 10:01:48.124: app-140480618911520| Extracting the sources of the vmmon module.
Aug 03 10:01:48.137: app-140480618911520| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/2.6.40-4.fc15.x86_64/build/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.6.0
Aug 03 10:01:49.144: app-140480618911520| Failed to compile module vmmon!
Please help on this situation.
Thanks
--ramesh
0 Kudos
1 Reply
PJAL
Contributor
Contributor

There was a patch released for kernel 2.6.39.fc15.x86_64 but this did not work for me with kernel 2.6.40-4.fc15.x86_64 which has now been rebranded kernel 3.0.  I believe there is a new release of vmware-workstation that works with kernel 3.0 but so far there is no new version of vmware-player.  I have spent considerable time to work my way through the compile errors, and am close, but still have a few to go.  Even then there is no guarantee that this edited code will work.  A new release of vmware-player for kernel 3.0 is the best solution if you can wait.

See this thread for a patch that will compile vmware-player with the 40-4 kernel.

http://communities.vmware.com/thread/318886?tstart=0

0 Kudos